%define url_ver	%(echo %{version} | cut -d. -f1,2)

Name:		nfoview
Summary:	Simple viewer for NFO files
Version:	2.0.1
Release:	%mkrel 1
License:	GPLv3+
Group:		File tools
URL:		https://otsaloma.io/nfoview/
Source0:	https://github.com/otsaloma/nfoview/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	intltool
Requires:	python3-gobject3
Recommends:	cascadia-code-fonts

%description
NFO Viewer is a simple viewer for NFO files, which are "ASCII" art in
the CP437 codepage. The advantages of using NFO Viewer instead of a
text editor are preset font and encoding settings, automatic window
size and clickable hyperlinks.

%prep
%autosetup -p1


%build
%make_build

%install
%make_install PREFIX=%{_prefix}

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc *.md
%{_bindir}/nfoview
%{_datadir}/applications/io.otsaloma.nfoview.desktop
%{_mandir}/man1/nfoview.1*
%{_datadir}/nfoview/
%{_datadir}/icons/hicolor/*/apps/io.otsaloma.nfoview{,-symbolic}.*
%{_metainfodir}/io.otsaloma.nfoview.appdata.xml


%changelog
* Fri Mar 14 2025 daviddavid <daviddavid> 2.0.1-1.mga10
+ Revision: 2163777
- new version: 2.0.1

* Mon Jan 01 2024 papoteur <papoteur> 1.99-1.mga10
+ Revision: 2025347
- new version 1.99

* Wed Mar 23 2022 umeabot <umeabot> 1.28.1-3.mga9
+ Revision: 1821113
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 1.28.1-2.mga9
+ Revision: 1786829
- rebuild for python-3.10

* Tue Nov 09 2021 wally <wally> 1.28.1-1.mga9
+ Revision: 1755427
- new version 1.28.1

* Mon Mar 15 2021 wally <wally> 1.28-2.mga9
+ Revision: 1703636
- rebuild for python 3.9

* Sun May 17 2020 wally <wally> 1.28-1.mga8
+ Revision: 1585032
- new version 1.28
- recommend cascadia-code-fonts instead of terminus-font

* Mon Apr 13 2020 wally <wally> 1.27.1-1.mga8
+ Revision: 1567209
- new version 1.27.1

* Sun Feb 16 2020 umeabot <umeabot> 1.27-3.mga8
+ Revision: 1533554
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 1.27-2.mga8
+ Revision: 1444624
- rebuild for python3.8

* Thu Aug 29 2019 wally <wally> 1.27-1.mga8
+ Revision: 1435124
- new version 1.27

* Wed Jul 03 2019 wally <wally> 1.26.1-1.mga8
+ Revision: 1417955
- new version 1.26.1

* Tue Jan 08 2019 tv <tv> 1.26-3.mga7
+ Revision: 1352206
- rebuild with python 3.7

* Mon Jan 07 2019 wally <wally> 1.26-2.mga7
+ Revision: 1350576
- rebuild for python3.7

* Thu Jan 03 2019 daviddavid <daviddavid> 1.26-1.mga7
+ Revision: 1348899
- new version: 1.26

* Thu Sep 20 2018 umeabot <umeabot> 1.20-3.mga7
+ Revision: 1280141
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.20-2.mga7
+ Revision: 1135278
- Rebuild for python 3.6

* Sat Oct 08 2016 wally <wally> 1.20-1.mga6
+ Revision: 1059509
- new version 1.20
- update URL

* Tue Jan 26 2016 wally <wally> 1.18-1.mga6
+ Revision: 927929
- new version 1.18

* Fri Oct 16 2015 wally <wally> 1.17-1.mga6
+ Revision: 892056
- new version 1.17

* Thu Oct 08 2015 wally <wally> 1.16-2.mga6
+ Revision: 887642
- rebuild for python 3.5

* Sat Jun 20 2015 wally <wally> 1.16-1.mga6
+ Revision: 836653
- new version 1.16

* Wed Oct 15 2014 umeabot <umeabot> 1.15-2.mga5
+ Revision: 750410
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 wally <wally> 1.15-1.mga5
+ Revision: 737097
- new version 1.15
- drop unneeded girepository-devel BR
- add patch to explicitly require gtk3 typelib

* Sat Sep 27 2014 tv <tv> 1.14-3.mga5
+ Revision: 727476
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.14-2.mga5
+ Revision: 682878
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sun Jun 22 2014 wally <wally> 1.14-1.mga5
+ Revision: 638621
- new version 1.14

* Sat May 31 2014 pterjan <pterjan> 1.13.1-5.mga5
+ Revision: 629694
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.13.1-4.mga5
+ Revision: 629538
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.13.1-3.mga4
+ Revision: 542898
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.13.1-2.mga4
+ Revision: 497960
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 25 2013 wally <wally> 1.13.1-1.mga4
+ Revision: 486259
- new version 1.13.1

* Mon Jul 29 2013 wally <wally> 1.13-1.mga4
+ Revision: 460516
- new version 1.13

* Thu May 23 2013 wally <wally> 1.12.1-1.mga4
+ Revision: 425167
- new version 1.12.1
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 wally <wally> 1.11-1.mga3
+ Revision: 315379
- new version 1.11
- switch to python3
- clean .spec a bit

* Wed Jun 08 2011 wally <wally> 1.9.5-1.mga2
+ Revision: 101925
- new version 1.9.5

* Tue Apr 05 2011 wally <wally> 1.9.4-1.mga1
+ Revision: 80856
- new version 1.9.4

* Sun Mar 27 2011 wally <wally> 1.9.3-1.mga1
+ Revision: 77989
- new version 1.9.3

* Sun Jan 23 2011 wally <wally> 1.9.2-3.mga1
+ Revision: 34644
- drop buildroot definition from .spec
- drop old post and postun requires
- imported package nfoview


* Sun Oct 31 2010 Jani Välimaa <wally@mandriva.org> 1.9.2-2mdv2011.0
+ Revision: 590974
- drop py_requires macro
- drop support for old (2008.1 and older) mdv releases
- rebuild for new python 2.7

* Tue Oct 05 2010 Jani Välimaa <wally@mandriva.org> 1.9.2-1mdv2011.0
+ Revision: 583131
- update to new version 1.9.2

* Sat Jul 10 2010 Jani Välimaa <wally@mandriva.org> 1.9.1-1mdv2011.0
+ Revision: 550036
- new version 1.9.1

* Sun Apr 25 2010 Jani Välimaa <wally@mandriva.org> 1.9-1mdv2010.1
+ Revision: 538523
- update to new version 1.9

* Fri Nov 06 2009 Jani Välimaa <wally@mandriva.org> 1.8-1mdv2010.1
+ Revision: 461168
- new version 1.8

* Sun Sep 27 2009 Jani Välimaa <wally@mandriva.org> 1.7-1mdv2010.0
+ Revision: 449724
- update to version 1.7

* Sun Aug 16 2009 Jani Välimaa <wally@mandriva.org> 1.6-1mdv2010.0
+ Revision: 417025
- update to new version 1.6

* Tue Jun 02 2009 Jani Välimaa <wally@mandriva.org> 1.5-1mdv2010.0
+ Revision: 382281
- New version 1.5
- Removed unneeded sources

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 332873
- New upstream release

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 1.2-4mdv2009.1
+ Revision: 325768
- rebuild

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.2-3mdv2009.0
+ Revision: 268277
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon May 19 2008 David Walluck <walluck@mandriva.org> 1.2-2mdv2009.0
+ Revision: 208852
- spec cleanup

* Mon May 19 2008 David Walluck <walluck@mandriva.org> 1.2-1mdv2009.0
+ Revision: 208830
- 1.2

* Sat May 10 2008 Anssi Hannula <anssi@mandriva.org> 1.1.2-1mdv2009.0
+ Revision: 205369
- new version
- drop fix-build-without-x.patch, fixed upstream

* Wed May 07 2008 Anssi Hannula <anssi@mandriva.org> 1.1.1-1mdv2009.0
+ Revision: 203749
- do not reference nfoview for __version__ in setup.py to allow building
  without X (fix-build-without-x.patch)
- initial Mandriva release

